# Interface methods for submodule: VersorRigid3DTransformOptimizer
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RegularStepGradientDescentBaseOptimizerProxy as _RegularStepGradientDescentBaseOptimizerProxy


# Interface methods for class: VersorRigid3DTransformOptimizer
class VersorRigid3DTransformOptimizerProxy(_RegularStepGradientDescentBaseOptimizerProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def StepAlongGradient(self, factor: float, transformedGradient: Sequence[float]) -> None:
		""""""
		...

